From d8c8b5416726909203db53cfa73ea2c7cc0fe9a0 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Fri, 29 Mar 2019 19:37:35 -0500
Subject: [PATCH v3 02/12] Add comma for readability

---
 doc/src/sgml/backup.sgml              |  2 +-
 doc/src/sgml/bki.sgml                 |  2 +-
 doc/src/sgml/client-auth.sgml         |  4 ++--
 doc/src/sgml/config.sgml              |  4 ++--
 doc/src/sgml/ddl.sgml                 |  2 +-
 doc/src/sgml/indices.sgml             |  2 +-
 doc/src/sgml/installation.sgml        |  2 +-
 doc/src/sgml/logical-replication.sgml |  2 +-
 doc/src/sgml/protocol.sgml            |  6 +++---
 doc/src/sgml/ref/create_table.sgml    |  2 +-
 doc/src/sgml/ref/create_table_as.sgml |  2 +-
 doc/src/sgml/ref/pgupgrade.sgml       |  2 +-
 doc/src/sgml/ref/psql-ref.sgml        |  2 +-
 doc/src/sgml/sources.sgml             | 14 +++++++-------
 doc/src/sgml/wal.sgml                 |  2 +-
 doc/src/sgml/xoper.sgml               |  2 +-
 16 files changed, 26 insertions(+), 26 deletions(-)

diff --git a/doc/src/sgml/backup.sgml b/doc/src/sgml/backup.sgml
index b67da89..ae41bc7 100644
--- a/doc/src/sgml/backup.sgml
+++ b/doc/src/sgml/backup.sgml
@@ -1024,7 +1024,7 @@ SELECT pg_start_backup('label', true);
      consider during this backup.
     </para>
     <para>
-     As noted above, if the server crashes during the backup it may not be
+     As noted above, if the server crashes during the backup, it may not be
      possible to restart until the <literal>backup_label</literal> file has
      been manually deleted from the <envar>PGDATA</envar> directory.  Note
      that it is very important to never remove the
diff --git a/doc/src/sgml/bki.sgml b/doc/src/sgml/bki.sgml
index aa3d6f8..e27fa76 100644
--- a/doc/src/sgml/bki.sgml
+++ b/doc/src/sgml/bki.sgml
@@ -403,7 +403,7 @@
     8000&mdash;9999.  This minimizes the risk of OID collisions with other
     patches being developed concurrently.  To keep the 8000&mdash;9999
     range free for development purposes, after a patch has been committed
-    to the master git repository its OIDs should be renumbered into
+    to the master git repository, its OIDs should be renumbered into
     available space below that range.  Typically, this will be done
     near the end of each development cycle, moving all OIDs consumed by
     patches committed in that cycle at the same time.  The script
diff --git a/doc/src/sgml/client-auth.sgml b/doc/src/sgml/client-auth.sgml
index ffed887..098900e 100644
--- a/doc/src/sgml/client-auth.sgml
+++ b/doc/src/sgml/client-auth.sgml
@@ -157,7 +157,7 @@ hostnogssenc <replaceable>database</replaceable>  <replaceable>user</replaceable
       </para>
 
       <para>
-       To make use of this option the server must be built with
+       To make use of this option, the server must be built with
        <acronym>SSL</acronym> support. Furthermore,
        <acronym>SSL</acronym> must be enabled
        by setting the <xref linkend="guc-ssl"/> configuration parameter (see
@@ -189,7 +189,7 @@ hostnogssenc <replaceable>database</replaceable>  <replaceable>user</replaceable
       </para>
 
       <para>
-       To make use of this option the server must be built with
+       To make use of this option, the server must be built with
        <acronym>GSSAPI</acronym> support.  Otherwise,
        the <literal>hostgssenc</literal> record is ignored except for logging
        a warning that it cannot match any connections.
diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 73eb768..54b91d3 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -3458,7 +3458,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
         reached. The default is <literal>pause</literal>, which means recovery will
         be paused. <literal>promote</literal> means the recovery process will finish
         and the server will start to accept connections.
-        Finally <literal>shutdown</literal> will stop the server after reaching the
+        Finally, <literal>shutdown</literal> will stop the server after reaching the
         recovery target.
        </para>
        <para>
@@ -4188,7 +4188,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
        </para>
        <para>
         The delay occurs once the database in recovery has reached a consistent
-        state, until the standby is promoted or triggered. After that the standby
+        state, until the standby is promoted or triggered. After that, the standby
         will end recovery without further waiting.
        </para>
        <para>
diff --git a/doc/src/sgml/ddl.sgml b/doc/src/sgml/ddl.sgml
index cfe83a8..8135507 100644
--- a/doc/src/sgml/ddl.sgml
+++ b/doc/src/sgml/ddl.sgml
@@ -3866,7 +3866,7 @@ CREATE INDEX ON measurement (logdate);
     <title>Partition Maintenance</title>
 
     <para>
-      Normally the set of partitions established when initially defining the
+      Normally, the set of partitions established when initially defining the
       table are not intended to remain static.  It's common to
       remove partitions of old data and add partitions for
       new data. One of the most important advantages of partitioning is
diff --git a/doc/src/sgml/indices.sgml b/doc/src/sgml/indices.sgml
index 95c0a19..e940ddb 100644
--- a/doc/src/sgml/indices.sgml
+++ b/doc/src/sgml/indices.sgml
@@ -1081,7 +1081,7 @@ SELECT x FROM tab WHERE x = 'key' AND z &lt; 42;
    scan.  Even in the successful case, this approach trades visibility map
    accesses for heap accesses; but since the visibility map is four orders
    of magnitude smaller than the heap it describes, far less physical I/O is
-   needed to access it.  In most situations the visibility map remains
+   needed to access it.  In most situations, the visibility map remains
    cached in memory all the time.
   </para>
 
diff --git a/doc/src/sgml/installation.sgml b/doc/src/sgml/installation.sgml
index 4493862..847e028 100644
--- a/doc/src/sgml/installation.sgml
+++ b/doc/src/sgml/installation.sgml
@@ -2527,7 +2527,7 @@ xcodebuild -version -sdk macosx Path
 </programlisting>
     Note that building an extension using a different sysroot version than
     was used to build the core server is not really recommended; in the
-    worst case it could result in hard-to-debug ABI inconsistencies.
+    worst case, it could result in hard-to-debug ABI inconsistencies.
    </para>
 
    <para>
diff --git a/doc/src/sgml/logical-replication.sgml b/doc/src/sgml/logical-replication.sgml
index 3f2f674..31c814c 100644
--- a/doc/src/sgml/logical-replication.sgml
+++ b/doc/src/sgml/logical-replication.sgml
@@ -201,7 +201,7 @@
 
   <para>
    Subscriptions are dumped by <command>pg_dump</command> if the current user
-   is a superuser.  Otherwise a warning is written and subscriptions are
+   is a superuser.  Otherwise, a warning is written and subscriptions are
    skipped, because non-superusers cannot read all subscription information
    from the <structname>pg_subscription</structname> catalog.
   </para>
diff --git a/doc/src/sgml/protocol.sgml b/doc/src/sgml/protocol.sgml
index 70f7286..3f907f6 100644
--- a/doc/src/sgml/protocol.sgml
+++ b/doc/src/sgml/protocol.sgml
@@ -1449,7 +1449,7 @@ SELECT 1/0;
     <literal>S</literal>, perform an <acronym>SSL</acronym> startup handshake
     (not described here, part of the <acronym>SSL</acronym>
     specification) with the server.  If this is successful, continue
-    with sending the usual StartupMessage.  In this case the
+    with sending the usual StartupMessage.  In this case, the
     StartupMessage and all subsequent data will be
     <acronym>SSL</acronym>-encrypted.  To continue after
     <literal>N</literal>, send the usual StartupMessage and proceed without
@@ -1462,7 +1462,7 @@ SELECT 1/0;
     the server predates the addition of <acronym>SSL</acronym> support
     to <productname>PostgreSQL</productname>.  (Such servers are now very ancient,
     and likely do not exist in the wild anymore.)
-    In this case the connection must
+    In this case, the connection must
     be closed, but the frontend might choose to open a fresh connection
     and proceed without requesting <acronym>SSL</acronym>.
    </para>
@@ -1528,7 +1528,7 @@ SELECT 1/0;
     The frontend should also be prepared to handle an ErrorMessage
     response to GSSENCRequest from the server.  This would only occur if
     the server predates the addition of <acronym>GSSAPI</acronym> encryption
-    support to <productname>PostgreSQL</productname>.  In this case the
+    support to <productname>PostgreSQL</productname>.  In this case, the
     connection must be closed, but the frontend might choose to open a fresh
     connection and proceed without requesting <acronym>GSSAPI</acronym>
     encryption.  Given the length limits specified above, the ErrorMessage
diff --git a/doc/src/sgml/ref/create_table.sgml b/doc/src/sgml/ref/create_table.sgml
index 44a61ef..dbb1468 100644
--- a/doc/src/sgml/ref/create_table.sgml
+++ b/doc/src/sgml/ref/create_table.sgml
@@ -1189,7 +1189,7 @@ WITH ( MODULUS <replaceable class="parameter">numeric_literal</replaceable>, REM
       This clause specifies optional storage parameters for a table or index;
       see <xref linkend="sql-createtable-storage-parameters"
       endterm="sql-createtable-storage-parameters-title"/> for more
-      information.  For backward-compatibility the <literal>WITH</literal>
+      information.  For backward-compatibility, the <literal>WITH</literal>
       clause for a table can also include <literal>OIDS=FALSE</literal> to
       specify that rows of the new table should not contain OIDs (object
       identifiers), <literal>OIDS=TRUE</literal> is not supported anymore.
diff --git a/doc/src/sgml/ref/create_table_as.sgml b/doc/src/sgml/ref/create_table_as.sgml
index b5c4ce6..0880459 100644
--- a/doc/src/sgml/ref/create_table_as.sgml
+++ b/doc/src/sgml/ref/create_table_as.sgml
@@ -142,7 +142,7 @@ CREATE [ [ GLOBAL | LOCAL ] { TEMPORARY | TEMP } | UNLOGGED ] TABLE [ IF NOT EXI
       This clause specifies optional storage parameters for the new table;
       see <xref linkend="sql-createtable-storage-parameters"
       endterm="sql-createtable-storage-parameters-title"/> for more
-      information.   For backward-compatibility the <literal>WITH</literal>
+      information.   For backward-compatibility, the <literal>WITH</literal>
       clause for a table can also include <literal>OIDS=FALSE</literal> to
       specify that rows of the new table should contain no OIDs (object
       identifiers), <literal>OIDS=TRUE</literal> is not supported anymore.
diff --git a/doc/src/sgml/ref/pgupgrade.sgml b/doc/src/sgml/ref/pgupgrade.sgml
index 8288676..6a898d9 100644
--- a/doc/src/sgml/ref/pgupgrade.sgml
+++ b/doc/src/sgml/ref/pgupgrade.sgml
@@ -746,7 +746,7 @@ psql --username=postgres --file=script.sql postgres
    <application>pg_upgrade</application> launches short-lived postmasters in
    the old and new data directories.  Temporary Unix socket files for
    communication with these postmasters are, by default, made in the current
-   working directory.  In some situations the path name for the current
+   working directory.  In some situations, the path name for the current
    directory might be too long to be a valid socket name.  In that case you
    can use the <option>-s</option> option to put the socket files in some
    directory with a shorter path name.  For security, be sure that that
diff --git a/doc/src/sgml/ref/psql-ref.sgml b/doc/src/sgml/ref/psql-ref.sgml
index b867640..55cc78c 100644
--- a/doc/src/sgml/ref/psql-ref.sgml
+++ b/doc/src/sgml/ref/psql-ref.sgml
@@ -1053,7 +1053,7 @@ testdb=&gt;
         These operations are not as efficient as the <acronym>SQL</acronym>
         <command>COPY</command> command with a file or program data source or
         destination, because all data must pass through the client/server
-        connection.  For large amounts of data the <acronym>SQL</acronym>
+        connection.  For large amounts of data, the <acronym>SQL</acronym>
         command might be preferable.
         </para>
         </tip>
diff --git a/doc/src/sgml/sources.sgml b/doc/src/sgml/sources.sgml
index 2b9f59d..520bbae 100644
--- a/doc/src/sgml/sources.sgml
+++ b/doc/src/sgml/sources.sgml
@@ -100,7 +100,7 @@ less -x4
    <para>
     There are two required elements for every message: a severity level
     (ranging from <literal>DEBUG</literal> to <literal>PANIC</literal>) and a primary
-    message text.  In addition there are optional elements, the most
+    message text.  In addition, there are optional elements, the most
     common of which is an error identifier code that follows the SQL spec's
     SQLSTATE conventions.
     <function>ereport</function> itself is just a shell function that exists
@@ -473,7 +473,7 @@ Hint:       the addendum
 
    <para>
     Rationale: Messages are not necessarily displayed on terminal-type
-    displays.  In GUI displays or browsers these formatting instructions are
+    displays.  In GUI displays or browsers, these formatting instructions are
     at best ignored.
    </para>
 
@@ -897,14 +897,14 @@ BETTER: unrecognized node type: 42
    <simplesect>
     <title>Function-Like Macros and Inline Functions</title>
     <para>
-     Both, macros with arguments and <literal>static inline</literal>
-     functions, may be used. The latter are preferable if there are
+     Both macros with arguments and <literal>static inline</literal>
+     functions may be used. The latter are preferable if there are
      multiple-evaluation hazards when written as a macro, as e.g. the
      case with
 <programlisting>
 #define Max(x, y)       ((x) > (y) ? (x) : (y))
 </programlisting>
-     or when the macro would be very long. In other cases it's only
+     or when the macro would be very long. In other cases, it's only
      possible to use macros, or at least easier.  For example because
      expressions of various types need to be passed to the macro.
     </para>
@@ -936,7 +936,7 @@ MemoryContextSwitchTo(MemoryContext context)
    <simplesect>
     <title>Writing Signal Handlers</title>
     <para>
-     To be suitable to run inside a signal handler code has to be
+     To be suitable to run inside a signal handler, code has to be
      written very carefully. The fundamental problem is that, unless
      blocked, a signal handler can interrupt code at any time. If code
      inside the signal handler uses the same state as code outside,
@@ -945,7 +945,7 @@ MemoryContextSwitchTo(MemoryContext context)
      interrupted code.
     </para>
     <para>
-     Barring special arrangements code in signal handlers may only
+     Barring special arrangements, code in signal handlers may only
      call async-signal safe functions (as defined in POSIX) and access
      variables of type <literal>volatile sig_atomic_t</literal>. A few
      functions in <command>postgres</command> are also deemed signal safe; specifically,
diff --git a/doc/src/sgml/wal.sgml b/doc/src/sgml/wal.sgml
index 4eb8feb..30bde24 100644
--- a/doc/src/sgml/wal.sgml
+++ b/doc/src/sgml/wal.sgml
@@ -326,7 +326,7 @@
    before returning a success indication to the client.  The client is
    therefore guaranteed that a transaction reported to be committed will
    be preserved, even in the event of a server crash immediately after.
-   However, for short transactions this delay is a major component of the
+   However, for short transactions, this delay is a major component of the
    total transaction time.  Selecting asynchronous commit mode means that
    the server returns success as soon as the transaction is logically
    completed, before the <acronym>WAL</acronym> records it generated have
diff --git a/doc/src/sgml/xoper.sgml b/doc/src/sgml/xoper.sgml
index 260e43c..55cd3b1 100644
--- a/doc/src/sgml/xoper.sgml
+++ b/doc/src/sgml/xoper.sgml
@@ -375,7 +375,7 @@ table1.column1 OP table2.column2
      Another example is that on machines that meet the <acronym>IEEE</acronym>
      floating-point standard, negative zero and positive zero are different
      values (different bit patterns) but they are defined to compare equal.
-     If a float value might contain negative zero then extra steps are needed
+     If a float value might contain negative zero, then extra steps are needed
      to ensure it generates the same hash value as positive zero.
     </para>
 
-- 
2.7.4

